Conga Product Documentation

Welcome to the new doc site. Some of your old bookmarks will no longer work. Please use the search bar to find your desired topic.

Get Revalidation Line Items

The getRevalidationLineItems global method retrieves all cart line items that require revalidation. It returns the list of line item IDs that have invalid Price List Items (PLI) and invalid product version IDs. This method is typically used by custom cart implementations to identify which line items must be revalidated before pricing or checkout.

APISignature
getRevalidationLineItemsglobal static Apttus_Config2.CPQStruct.RevalidationResponseDO Apttus_Config2.CPQWebService.getRevalidationLineItems( Apttus_Config2.CPQStruct.RevalidationRequestDO request )

Request Parameters

NameTypeDescription
cartIdIdID of the cart
inclLinesWithInvalidPriceItemsBooleanInclude line items with invalid price list items
inclLinesWithNewVersionBooleanInclude line items with new product versions

Response Parameters

FieldTypeDescription
linesWithInvalidPLISet<Id>Line item IDs with invalid price list items
linesWithNewVersionSet<Id>Line item IDs with new or updated product versions
lineItemSOsByRevalCategoryMap<String, List<Apttus_Config2__LineItem__c>>Map of Line Item SObjects grouped by revalidation category. Used by the revalidation callback

Code Sample

public Apttus_Config2.CPQStruct.RevalidationResponseDO getRevalidationLineItems(
    Id cartId,
    Boolean includeInvalidPLI,
    Boolean includeNewVersion
) {
    Apttus_Config2.CPQStruct.RevalidationRequestDO request =
        new Apttus_Config2.CPQStruct.RevalidationRequestDO();

    request.cartId = cartId;
    request.inclLinesWithInvalidPriceItems = includeInvalidPLI;
    request.inclLinesWithNewVersion = includeNewVersion;

    Apttus_Config2.CPQStruct.RevalidationResponseDO response =
        Apttus_Config2.CPQWebService.getRevalidationLineItems(request);

    return response;
}